## latex-cjk-chinese-arphic 1.21

=== debian/changelog ===
latex-cjk-chinese-arphic (1.21) unstable; urgency=medium

  * The "Welcome to TeX Live 2009" release.
  * Set the urgency to medium, because it fixes an FTBFS bug.
  * [rules]
     - Do not show some of the more technical comments on the
       terminal;
     - add "ttf2pk/" to the sfddir variable because the upstream
       path to the Subfont Definition (SFD) files has changed.
       This fixes "FTBFS: No Sub Font Definition file", thanks to
       Lucas Nussbaum (Closes: #562395).
  * [control] Because of bug #562395, this package now depends
     on texlive-font-utils (>= 2009-4).

 -- Danai SAE-HAN (韓達耐) <danai@debian.org>  Sat, 09 Jan 2010 14:12:10 +0100

latex-cjk-chinese-arphic (1.20) unstable; urgency=medium

  * The "OMG, am I really a DD now?!" release.
  * Set the urgency to medium, because it fixes an FTBFS bug.
  * [rules]
     - Fix some more bashisms which cause an FTBFS.  Thanks to Raphael
       Geissert and Lucas Nussbaum (Closes: #535389, #543020);
     - change copyright from 2008 to 2009.
  * [font.fd.in]
     - Add \CJKnormal to the {m}{n} regular shape to all fonts that use
       \CJKbold because NFSS doesn't call \selectfont when substituting
       fonts, and therefore the \CJK@bold@ does not reset.  Fix from the
       upstream author of the CJK package;
     - update file version to 4.8.1 and date to 2008-10-03.
  * [control.stem.in]
     - Build-depend on tex-common (>= 1.20) to get trigger support;
     - bump to Standards-Version from 3.8.0 to 3.8.3 (no changes).
  * [control.leaf.in] Do not depend on tex-common anymore, but use
     ${misc:Depends} instead.
  * [latex-cjk/*] Get latest upstream version of the CJK scripts (4.8.2).
  * [changelog] Change the maintainer's email address.
  * [TODO] Remove the todo about skewed (i.e. italics) glyphs because
     the result is rather ugly.

 -- Danai SAE-HAN (韓達耐) <danai@debian.org>  Thu, 29 Oct 2009 00:46:23 +0100
