=== debian/control ===
Source: latex-cjk-chinese-arphic
Section: tex
Priority: optional
Maintainer: Danai SAE-HAN (韓達耐) <danai@debian.org>
Build-Depends: debhelper (>= 7)
Build-Depends-Indep: fontforge (>= 0.0.20050717), tex-common (>= 1.20), texlive-font-utils (>= 2009-4), ttf-arphic-bsmi00lp, ttf-arphic-bkai00mp, ttf-arphic-gbsn00lp, ttf-arphic-gkai00mp, sharutils
Standards-Version: 3.8.3
Vcs-Svn: svn://svn.debian.org/svn/debian-tex/latex-cjk-chinese-arphic/trunk
Vcs-Browser: http://svn.debian.org/wsvn/debian-tex/latex-cjk-chinese-arphic/trunk/
Homepage: ftp://ftp.gnu.org/non-gnu/chinese-fonts-truetype/

Package: latex-cjk-chinese-arphic-bkai00mp
Architecture: all
Suggests: ttf-arphic-bkai00mp
Provides: tfm-arphic-bkai00mp
Depends: ${misc:Depends}
Description: traditional Chinese KaiTi fonts for CJK
 This package installs all necessary fonts (PFB, AFM, TFM, etc.) to get
 the "AR PL KaitiM Big5" font working with the LaTeX macro "CJK" in local and
 UTF-8 environments.

Package: latex-cjk-chinese-arphic-bsmi00lp
Architecture: all
Suggests: ttf-arphic-bsmi00lp
Provides: tfm-arphic-bsmi00lp
Depends: ${misc:Depends}
Description: traditional Chinese KaiTi fonts for CJK
 This package installs all necessary fonts (PFB, AFM, TFM, etc.) to get
 the "AR PL Mingti2L Big5" font working with the LaTeX macro "CJK" in local and
 UTF-8 environments.

Package: latex-cjk-chinese-arphic-gbsn00lp
Architecture: all
Suggests: ttf-arphic-gbsn00lp
Provides: tfm-arphic-gbsn00lp
Depends: ${misc:Depends}
Description: traditional Chinese KaiTi fonts for CJK
 This package installs all necessary fonts (PFB, AFM, TFM, etc.) to get
 the "AR PL SungtiL GB" font working with the LaTeX macro "CJK" in local and
 UTF-8 environments.

Package: latex-cjk-chinese-arphic-gkai00mp
Architecture: all
Suggests: ttf-arphic-gkai00mp
Provides: tfm-arphic-gkai00mp
Depends: ${misc:Depends}
Description: traditional Chinese KaiTi fonts for CJK
 This package installs all necessary fonts (PFB, AFM, TFM, etc.) to get
 the "AR PL KaitiM GB" font working with the LaTeX macro "CJK" in local and
 UTF-8 environments.
