## latex-cjk-chinese-arphic 1.21%2bnmu1

=== debian/rules ===
--- 
+++ 
@@ -88,7 +88,7 @@
 
 d = debian/$(bin-package)
 texmf = usr/share/texmf
-fontpath = usr/share/fonts/$(fonttype)/$(supplier)
+fontpath = usr/share/fonts/$(fonttype)
 dest_texfontpath = $(texmf)/fonts/$(fonttype)/$(supplier)
 dest_afmpath = $(texmf)/fonts/afm/$(supplier)/$(uninamestem)
 dest_type1path = $(texmf)/fonts/type1/$(supplier)/$(uninamestem)
@@ -114,7 +114,7 @@
 $(build-stamp_fonts):
 	dh_testdir
 	mkdir -p $(builddir)
-	( cd $(builddir) && ln -s /$(fontpath)/$(typeface).ttf && cp ../../debian/latex-cjk/* . )
+	( cd $(builddir) && ln -s /$(fontpath)/$(supplier)-$(typeface)/$(typeface).ttf && cp ../../debian/latex-cjk/* . )
 
 	# You will find a detailed log of the build process in $(builddir)/log.
 
@@ -238,4 +238,3 @@
 $(install_fonts):
 	dh_testdir $(MY_DH_OPTIONS)
 	dh_testroot $(MY_DH_OPTIONS)
-	dh_prep $(MY_DH_OPTIONS)
