## latex-cjk-chinese-arphic 1.21+nmu1

=== debian/changelog ===
latex-cjk-chinese-arphic (1.21+nmu1) unstable; urgency=low

  * Non-maintainer upload.

  [ Hideki Yamane ]
  * debian/control
    - update font package name (ttf-*->fonts-*)
  * debian/rules
    - deal with changes in font packages (Closes: #646647)

 -- gregor herrmann <gregoa@debian.org>  Sun, 19 Feb 2012 17:42:37 +0100
