## latex-cjk-chinese-arphic 1.22

=== debian/changelog ===
latex-cjk-chinese-arphic (1.22) unstable; urgency=low

  * change maintainer to debian-tex-maint ML
  * add myself and Danai as uploaders
  * ack nmu (Closes: #646647)
  * fix location of sfd files for new texlive
  * rebuild with tex-common v3
  * remove old conf files in updmap.d (debian/*.maintscript)

 -- Norbert Preining <preining@debian.org>  Thu, 22 Mar 2012 18:39:47 +0900
