=== debian/rules ===
--- 
+++ 
@@ -98,7 +98,7 @@
 dest_docpath = usr/share/doc/texmf/fonts/$(fonttype)/$(supplier)
 dest_fd = $($(encoding)_texinput)
 builddir = build/$(typeface)
-sfddir = /usr/share/texmf-texlive/fonts/sfd/ttf2pk
+sfddir = /usr/share/texlive/texmf-dist/fonts/sfd/ttf2pk
 
 
 build: build-stamp
