## latex-cjk-chinese-arphic 1.23

=== debian/changelog ===
latex-cjk-chinese-arphic (1.23) unstable; urgency=low

  * The "Descriptive descriptions" release.
  * [copyright.in]
     - Change copyright year and my mail address;
     - use Copyright Format 1.0.
  * Bug fix: "descripton of this package is misleading", thanks to Liu
    Binsheng (Closes: #666395).
    - [control*]
      - Fix the templates that generate debian/control.
  * Bug fix: "outdated embedded data copy: aglfn", thanks to Paul Wise
    (Closes: #709585).
    - [control*, latex-cjk/aglfn13.txt, latex-cjk/makefdx.pl,
       copyright.in, README.Debian]
       - Remove latex-cjk/aglfn13.txt (v1.1) and depend on the `aglfn'
         Debian package which contains version 1.7 of the Adobe Glyph
         List For New Fonts.  Update latex-cjk/makefdx.pl to point to
         the aglfn.txt file from the `aglfn' package.
  * [compat]
     - Bump up version from v7 to v9.
  * [control.stem.in]
     - Bump up Standards-Version from 3.8.3 to 3.9.4; changes: build-indep
       and build-arch are now required in d/rules.
  * [rules]
     - Switch from dh_clean to dh_prep;
     - add a "sed" line to replace @PROVIDESFILE@ in font.fd.in;
     - insert build-indep and build-arch targets; let's hope I did it
       correctly.
  * [font.fd.in]
     - Change the hard-coded "c70gkai.fd" into @PROVIDESFILE@.

 -- Danai SAE-HAN (韓達耐) <danai@debian.org>  Sat, 06 Jul 2013 00:18:51 +0800
