=== debian/rules ===
--- 
+++ 
@@ -2,7 +2,7 @@
 # -*- makefile -*-
 
 # debian/rules file
-# GNU GPL v2 or higher, Copyright (C) 2005-2009, Danai SAE-HAN (韓達耐) <danai.sae-han@edpnet.be>
+# GNU GPL v2 or higher, Copyright (C) 2005-2012, Danai SAE-HAN (韓達耐) <danai@debian.org>
 
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
@@ -101,7 +101,14 @@
 sfddir = /usr/share/texlive/texmf-dist/fonts/sfd/ttf2pk
 
 
-build: build-stamp
+# Since Debian standards version 3.9.4 the build-* targets are
+# required.  This package does not compile any programs, it
+# only converts fonts from one format to another.
+# Hence I deem it more useful to keep the whole font-building
+# process in the corresponding "binary-*" targets.
+build: build-arch build-indep
+build-arch: build-stamp
+build-indep: build-stamp
 
 build-stamp: $(build-stamp_fonts)
 	dh_testdir
@@ -189,6 +196,7 @@
 		-e 's/@FONTENCODING@/$(encoding)/g' \
 		-e 's/@FAMILYNAME@/$(familyname)/g' \
 		-e 's/@SUBNAMESTEM@/$(sfdnamestem)/g' \
+	        -e 's/@PROVIDESFILE@/c$(nfss_fontencoding)$(namestem).fd/g' \
 		font.fd.in > ../$(builddir)/c$(nfss_fontencoding)$(namestem).fd
 	@echo
 
@@ -201,6 +209,7 @@
 		-e 's/@FONTENCODING@/Unicode/g' \
 		-e 's/@FAMILYNAME@/$(familyname)/g' \
 		-e 's/@SUBNAMESTEM@/$(uninamestem)/g' \
+	        -e 's/@PROVIDESFILE@'/c70$(namestem).fd/g \
 		font.fd.in > ../$(builddir)/c70$(namestem).fd
 	@echo
 
@@ -224,17 +233,3 @@
 	    sed -e 's/@TYPEFACE@/$(typeface)/g' \
 		-e 's/@FAMILYNAME@/$(familyname)/g' \
 		control.leaf.in >> control.font.$(bin-package)
-	@cd debian && \
-	    sed -e 's/@ABBREV@/$(abbrev)/g' \
-		-e 's/@FAMILYNAME@/$(familyname)/g' \
-		-e 's/@TYPEFACE@/$(typeface)/g' \
-		copyright.in > $(bin-package).copyright
-	dh_clean $(MY_DH_OPTIONS)
-	rm -f build-stamp.$(abbrev)
-
-install: build $(install_fonts)
-$(install_fonts): abbrev = $(patsubst install_%,%,$@)
-$(install_fonts): MY_DH_OPTIONS = -p$(bin-package) -P$(d)
-$(install_fonts):
-	dh_testdir $(MY_DH_OPTIONS)
-	dh_testroot $(MY_DH_OPTIONS)
