## latex-cjk-chinese-arphic 1.24

=== debian/changelog ===
latex-cjk-chinese-arphic (1.24) unstable; urgency=medium

  * Specify "3.0 (native)" as source format. (Closes: #1007048)
  * Lots of lintian fixes...and a few overrides.
  * Debhelper compat 13.
  * Fix Vcs URLs in d/control.
  * ...add me to Uploaders.

 -- Hilmar Preusse <hille42@web.de>  Mon, 28 Mar 2022 00:13:13 +0200
