=== debian/control ===
--- 
+++ 
@@ -2,8 +2,10 @@
 Section: tex
 Priority: optional
 Maintainer: Debian TeX maintainers <debian-tex-maint@lists.debian.org>
-Uploaders: Danai SAE-HAN (韓達耐) <danai@debian.org>, Norbert Preining <preining@debian.org>
-Build-Depends: debhelper (>= 9)
+Uploaders: Danai SAE-HAN (韓達耐) <danai@debian.org>,
+	Norbert Preining <preining@debian.org>,
+	Hilmar Preusse <hille42@web.de>
+Build-Depends: debhelper-compat (= 13)
 Build-Depends-Indep: aglfn,
  fontforge (>= 0.0.20050717),
  tex-common (>= 3),
@@ -14,9 +16,9 @@
  fonts-arphic-gkai00mp,
  sharutils
 Standards-Version: 3.9.4
-Vcs-Svn: svn://svn.debian.org/svn/debian-tex/latex-cjk-chinese-arphic/trunk
-Vcs-Browser: http://svn.debian.org/wsvn/debian-tex/latex-cjk-chinese-arphic/trunk/
-Homepage: ftp://ftp.gnu.org/non-gnu/chinese-fonts-truetype/
+Vcs-Git: https://salsa.debian.org/tex-team/latex-cjk-chinese-arphic.git
+Vcs-Browser: https://salsa.debian.org/tex-team/latex-cjk-chinese-arphic
+Homepage: https://ftp.gnu.org/non-gnu/chinese-fonts-truetype/
 
 Package: latex-cjk-chinese-arphic-bkai00mp
 Architecture: all
