## latex-cjk-chinese-arphic 1.25

=== debian/changelog ===
latex-cjk-chinese-arphic (1.25) unstable; urgency=medium

  [ Debian Janitor ]
  * Remove 4 obsolete maintscript entries in 4 files.
  * Fix day-of-week for changelog entries 1.7, 1.2.

  [ Danai SAE-HAN (韓達耐) ]
  * Thanks for the above pull request, Hilmar.
  * [control.stem.in]
    - Bump build-dependency of fontforge from (>= 0.0.20050717) to
      (20230101~dfsg-1) (Closes: #1015123).

 -- Danai SAE-HAN (韓達耐) <danai@debian.org>  Thu, 26 Jan 2023 18:48:38 +0800
