## latex-cjk-chinese-arphic 2.0

=== debian/changelog ===
latex-cjk-chinese-arphic (2.0) unstable; urgency=medium

  * [control]
    - Updating in GIT as a formality; it gets rebuilt from control.stem.in
      anyway.
  * [copyright.in]
    - Upate the year from 2013 to 2023.  Tempus fugit...
  * Uploading a source-only version to let this run package go to Testing.
    Debian now requires source-only uploads for normal updates.  Interesting.
    I now have to run "debuild -S".  Makes sense.
    This warrants a nice new major release; welcome to version 2!

 -- Danai SAE-HAN (韓達耐) <danai@debian.org>  Fri, 27 Jan 2023 11:52:07 +0800
