=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
 	Hilmar Preusse <hille42@web.de>
 Build-Depends: debhelper-compat (= 13)
 Build-Depends-Indep: aglfn,
- fontforge (>= 0.0.20050717),
+ fontforge (>= 20230101),
  tex-common (>= 3),
  texlive-font-utils (>= 2009-4),
  fonts-arphic-bsmi00lp,
