## latex-cjk-chinese-arphic 2.1

=== debian/changelog ===
latex-cjk-chinese-arphic (2.1) unstable; urgency=medium

  * [control]
    - Bump Standards-Version from 3.9.4 (well hello, 2013!) to 4.7.0.
      It surely was a long read in 'apt changelog debian-policy'.
  * [rules]
    - Temporarily disable parallel builds to avoid a race condition.
      This fixes bug "FTBFS: dh_install: error: missing files, aborting",
      thanks to Lucas Nussbaum (Closes: #1092427).

 -- Danai SAE-HAN (韓達耐) <danai@debian.org>  Thu, 20 Feb 2025 03:12:05 +0800
