## latex-cjk-chinese-arphic 2.2

=== debian/changelog ===
latex-cjk-chinese-arphic (2.2) unstable; urgency=medium

  * Bump Standards-Version from 3.9.4 (well hello, 2013!) to 4.7.0.
  * Change my maintainer address.

 -- Hilmar Preuße <hille42@debian.org>  Wed, 26 Feb 2025 23:19:07 +0100
