=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Debian TeX maintainers <debian-tex-maint@lists.debian.org>
 Uploaders: Danai SAE-HAN (韓達耐) <danai@debian.org>,
 	Norbert Preining <preining@debian.org>,
-	Hilmar Preusse <hille42@web.de>
+	Hilmar Preuße <hille42@debian.org>
 Build-Depends: debhelper-compat (= 13)
 Build-Depends-Indep: aglfn,
  fontforge (>= 20230101),
@@ -15,7 +15,7 @@
  fonts-arphic-gbsn00lp,
  fonts-arphic-gkai00mp,
  sharutils
-Standards-Version: 3.9.4
+Standards-Version: 4.7.0
 Vcs-Git: https://salsa.debian.org/tex-team/latex-cjk-chinese-arphic.git
 Vcs-Browser: https://salsa.debian.org/tex-team/latex-cjk-chinese-arphic
 Homepage: https://ftp.gnu.org/non-gnu/chinese-fonts-truetype/
