## latex-cjk-chinese-arphic 2.2build1

=== debian/changelog ===
latex-cjk-chinese-arphic (2.2build1) resolute; urgency=medium

  * No-change mass rebuild for Ubuntu 26.04 (LP: #2132257)

 -- Graham Inggs <ginggs@ubuntu.com>  Thu, 22 Jan 2026 12:23:44 +0000
